<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateOrdersTable extends Migration {

	public function up()
	{
		Schema::create('orders', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->decimal('total_meals_price', 10,8);
			$table->decimal('commission_price', 10,8);
			$table->decimal('delivery_price', 10,8);
			$table->decimal('total_price', 10,8);
			$table->integer('payment_method_id')->unsigned();
			$table->text('note');
			$table->text('address');
			$table->enum('state', array('pending', 'accepted', 'rejected', 'delivered', 'declined'));
		});
	}

	public function down()
	{
		Schema::drop('orders');
	}
}